<?php

/*
// AQSG "Simple Scrolling Newsflash" for Joomla 1.5 - Version 1.5.4
// License: GPLv3 - http://www.aqsg.com.au/about-us/our-policies/gnu-general-public-license.html
// Authors: Joel Bassett - http://www.aqsg.com.au
// Based on:
// 	Joomla Newsflash (Joomla 1.5.x)	- Joomla Team 	(http://www.joomla.org)
// 	jScroller2 (JQuery Scroller)	- Markus Bordihn 	(http://jscroller2.markusbordihn.de/)
//
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

static $ScrollingNewsflash_horizontal_headers;

$SimpleScrollingNewsflash_horizontal->height 					= intval( $params->get( 'height', 150 ) );
$SimpleScrollingNewsflash_horizontal->width 					= intval( $params->get( 'width', 400 ) );
$SimpleScrollingNewsflash_horizontal->speed 					= intval( $params->get( 'speed', 20 ) );			// SPEED OF SCROLL IN MILLISECONDS (1 SECOND = 1000 MILLISECONDS)
$SimpleScrollingNewsflash_horizontal->direction 				= $params->get( 'horizontaldirection', "up" );				// DIRECTION TO SCROLL THE TEXT
$SimpleScrollingNewsflash_horizontal->pauseOnMouseOver 			= $params->get( 'pauseOnMouseOver', "true" ); 		//SET TO "true" TO ENABLE PAUSE WHEN MOUSEOVER, "false" TO DISABLE IT.


$SimpleScrollingNewsflash_horizontal->css = "";
$SimpleScrollingNewsflash_horizontal->css .= "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") starts here -->\n";
$SimpleScrollingNewsflash_horizontal->css .= "<link href=\"" . JURI::base() . "modules/mod_aqsg_newsflash/css/newsflash.css\" rel=\"stylesheet\" type=\"text/css\" />\n";
$SimpleScrollingNewsflash_horizontal->css .= "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") ends here -->\n";

$SimpleScrollingNewsflash_horizontal->js = "";
$SimpleScrollingNewsflash_horizontal->js .= "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") starts here -->\n";
$SimpleScrollingNewsflash_horizontal->js .= "<script type=\"text/javascript\" src=\"" . JURI::base() . "modules/mod_aqsg_newsflash/js/jscroller2-1.5.js\"></script>\n";
$SimpleScrollingNewsflash_horizontal->js .= "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") ends here -->\n";

if (!$ScrollingNewsflash_horizontal_headers)
{
	$document->addCustomTag($SimpleScrollingNewsflash_horizontal->css);
	$document->addCustomTag($SimpleScrollingNewsflash_horizontal->js);
	$ScrollingNewsflash_horizontal_headers = 1;
}

	echo "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") starts here -->\n";
	echo "<div style=\"overflow: hidden; position: relative; width: " . $SimpleScrollingNewsflash_horizontal->width . "px; height: " . $SimpleScrollingNewsflash_horizontal->height . "px;\" id=\"scroller_container" . $params->get( 'moduleclass_sfx' ) . "\">\n";
	echo "	<div style=\"position: absolute;white-space:nowrap; margin: 0;\" class=\"jscroller2_" . $SimpleScrollingNewsflash_horizontal->direction . " jscroller2_speed-" . $SimpleScrollingNewsflash_horizontal->speed . "";
	if ($SimpleScrollingNewsflash_horizontal->pauseOnMouseOver)
		echo " jscroller2_mousemove";
	echo "\">\n";
		
	echo "<table width=\"100%\">\n";
	echo "<tr valign=\"top\" height=\"" . $SimpleScrollingNewsflash_horizontal->height . "\">\n";

	foreach ($list as $item) :
		echo "<td width=\"" . $SimpleScrollingNewsflash_horizontal->width . "\">\n";
		modAQSGNewsFlashHelper::renderItem($item, $params, $access);
		echo "</td>\n";
	endforeach;
	
	echo "</tr>\n";
	echo "</table>\n";

	echo "</div>\n";
	echo "</div>\n";
	echo "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") ends here -->\n";

?>
