<?php

/*
// AQSG "Simple Scrolling Newsflash" for Joomla 1.5 - Version 1.5.4
// License: GPLv3 - http://www.aqsg.com.au/about-us/our-policies/gnu-general-public-license.html
// Authors: Joel Bassett - http://www.aqsg.com.au
// Based on:
// 	Joomla Newsflash (Joomla 1.5.x)	- Joomla Team 	(http://www.joomla.org)
// 	jScroller2 (JQuery Scroller)	- Markus Bordihn 	(http://jscroller2.markusbordihn.de/)
//
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Include the syndicate functions only once
require_once (dirname(__FILE__).DS.'helper.php');

define('_AQSGNEWSFLASH_JVERSION','<b>Error</b>: AQSG "Simple Scrolling Newsflash (j!1.5)" only functions under Joomla! 1.5');

$ScrollingNewsflash_settings->live_site = JURI :: base();
if(substr($ScrollingNewsflash_settings->live_site, -1)=="/")
	$ScrollingNewsflash_settings->live_site = substr($ScrollingNewsflash_settings->live_site, 0, -1);

$params->set('intro_only', 1);
$params->set('hide_author', 1);
$params->set('hide_createdate', 0);
$params->set('hide_modifydate', 1);

// Disable edit ability icon
$access = new stdClass();
$access->canEdit	= 0;
$access->canEditOwn = 0;
$access->canPublish = 0;

$document	= &JFactory::getDocument();

$ScrollingNewsflash_settings->version = "1.5.4";

$ScrollingNewsflash->header = "";
$ScrollingNewsflash->header .= "\n<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") is used in this page-->\n";
$document->addCustomTag($ScrollingNewsflash->header);

$list = modAQSGNewsFlashHelper::getList($params, $access);

// check if any results returned
$items = count($list);
if (!$items) {
	return;
}

$version = new JVersion();
if( $version->PRODUCT=="Joomla!" && $version->RELEASE!="1.5") {
	echo '<div class="message">'._AQSGNEWSFLASH_JVERSION.'</div>';
}

$layout = $params->get('layout', 'default');
$layout = JFilterInput::clean($layout, 'word');
$path = JModuleHelper::getLayoutPath('mod_aqsg_newsflash', $layout);
if (file_exists($path)) {
	require($path);
}

?>