<?php

/*
// AQSG "Simple Scrolling Newsflash" for Joomla 1.5 - Version 1.5.4
// License: GPLv3 - http://www.aqsg.com.au/about-us/our-policies/gnu-general-public-license.html
// Authors: Joel Bassett - http://www.aqsg.com.au
// Based on:
// 	Joomla Newsflash (Joomla 1.5.x)	- Joomla Team 	(http://www.joomla.org)
// 	jScroller2 (JQuery Scroller)	- Markus Bordihn 	(http://jscroller2.markusbordihn.de/)
//
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

static $ScrollingNewsflash_vertical_headers;

$SimpleScrollingNewsflash_vertical->height 					= intval( $params->get( 'height', 150 ) );
$SimpleScrollingNewsflash_vertical->width 					= intval( $params->get( 'width', 400 ) );
$SimpleScrollingNewsflash_vertical->speed 					= intval( $params->get( 'speed', 20 ) );			// SPEED OF SCROLL IN MILLISECONDS (1 SECOND = 1000 MILLISECONDS)
$SimpleScrollingNewsflash_vertical->direction 				= $params->get( 'verticaldirection', "up" );				// DIRECTION TO SCROLL THE TEXT
$SimpleScrollingNewsflash_vertical->pauseOnMouseOver 		= $params->get( 'pauseOnMouseOver', "true" ); 		//SET TO "true" TO ENABLE PAUSE WHEN MOUSEOVER, "false" TO DISABLE IT.

$SimpleScrollingNewsflash_vertical->css = "";
$SimpleScrollingNewsflash_vertical->css .= "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") starts here -->\n";
$SimpleScrollingNewsflash_vertical->css .= "<link href=\"" . JURI::base() . "modules/mod_aqsg_newsflash/css/newsflash.css\" rel=\"stylesheet\" type=\"text/css\" />\n";
$SimpleScrollingNewsflash_vertical->css .= "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") ends here -->\n";

$SimpleScrollingNewsflash_vertical->js = "";
$SimpleScrollingNewsflash_vertical->js .= "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") starts here -->\n";
$SimpleScrollingNewsflash_vertical->js .= "<script type=\"text/javascript\" src=\"" . JURI::base() . "modules/mod_aqsg_newsflash/js/jscroller2-1.5.js\"></script>\n";
$SimpleScrollingNewsflash_vertical->js .= "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") ends here -->\n";

if (!$ScrollingNewsflash_vertical_headers)
{
	$document->addCustomTag($SimpleScrollingNewsflash_vertical->css);
	$document->addCustomTag($SimpleScrollingNewsflash_vertical->js);
	$ScrollingNewsflash_vertical_headers = 1;
}

	echo "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") starts here -->\n";
		echo "<div style=\"overflow: hidden; position: relative; width: " . $SimpleScrollingNewsflash_vertical->width . "px; height: " . $SimpleScrollingNewsflash_vertical->height . "px;\" id=\"scroller_container" . $params->get( 'moduleclass_sfx' ) . "\">\n";
		echo "	<div style=\"position: absolute;\" class=\"jscroller2_" . $SimpleScrollingNewsflash_vertical->direction . " jscroller2_speed-" . $SimpleScrollingNewsflash_vertical->speed . "";
		if ($SimpleScrollingNewsflash_vertical->pauseOnMouseOver)
			echo " jscroller2_mousemove";
		echo "\">\n";
		
		for ($i = 0, $n = count($list); $i < $n; $i ++) :
			modAQSGNewsFlashHelper::renderItem($list[$i], $params, $access);
			if ($n > 1 && (($i < $n - 1) || $params->get('showLastSeparator'))) :
				echo "<span class=\"simplenewsflash_separator" . $params->get( 'moduleclass_sfx' ) . "\">&nbsp;</span>\n";
			endif;
		endfor;
		
		echo "	</div>\n";
		echo "</div>\n";

	echo "<!-- AQSG \"Simple Scrolling Newsflash\" (" . $ScrollingNewsflash_settings->version . ") ends here -->\n";

?>
